---
agentTools:
  projectIndex: https://docs.cancergenomicscloud.org/llms.txt
---

# Post a feedback item

/action/notifications/feedback

Use this call to send feedback on ideas, thoughts, and problems via the API with three available types: "`idea`", "`thought`", and "`problem`". You can send one feedback item per minute.

[block:api-header]
{
  "type": "basic",
  "title": "Request"
}
[/block]

[block:code]
{
  "codes": [
    {
      "code": "https://cgc-api.sbgenomics.com/v2/action/notifications/feedback",
      "language": "text",
      "name": "Path"
    }
  ]
}
[/block]

[block:api-header]
{
  "type": "basic",
  "title": "Example request",
  "sidebar": true
}
[/block]

[block:code]
{
  "codes": [
    {
      "code": "POST /v2/action/notifications/feedback HTTP/1.1\nHost: cgc-api.sbgenomics.com\nX-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74\nContent-Type: application/json",
      "language": "http",
      "name": null
    },
    {
      "code": "curl -X POST \\\n  https://api.sbgenomics.com/v2/action/notifications/feedback \\\n  -H 'content-type: application/json' \\\n  -H 'x-sbg-auth-token: 3210a98c1db9318fa9d9273156740f74' \\",
      "language": "curl",
      "name": "cURL"
    }
  ],
  "sidebar": true
}
[/block]

\#Request body
In the request body, you should enter the following list of key-value pairs:

[block:parameters]
{
  "data": {
    "h-0": "Key",
    "h-1": "Data type of value",
    "h-2": "Content of value",
    "0-0": "text",
    "1-0": "file_ids",
    "0-1": "string",
    "1-1": "string",
    "0-2": "Specifies the content for the feedback i.e. feedback text.",
    "1-2": "Specifies the type of feedback. The following are available:\n  * idea\n  * thought\n  * problem "
  },
  "cols": 3,
  "rows": 2
}
[/block]

[block:api-header]
{
  "type": "basic",
  "title": "Example request body",
  "sidebar": true
}
[/block]

[block:code]
{
  "codes": [
    {
      "code": "{\n    \"text\": \"I have an idea on what you can change for the Workflow Editor.\",\n    \"type\": \"idea\",\n     \"referrer\": \"Rosalind Franklin\"\n}",
      "language": "json"
    }
  ],
  "sidebar": true
}
[/block]

\###Header Fields

[block:parameters]
{
  "data": {
    "h-0": "Name",
    "h-1": "Description",
    "0-0": "`X-SBG-Auth-Token`\n_required_",
    "0-1": "Your CGC [authentication token](https://docs.cancergenomicscloud.org/docs/get-your-authentication-token).",
    "h-2": "",
    "1-0": "Content-Type\n_required_",
    "1-1": "application/json"
  },
  "cols": 2,
  "rows": 2
}
[/block]

[block:api-header]
{
  "type": "basic",
  "title": "Response"
}
[/block]

[See a list of CGC-specific response codes that may be contained in the body of the response.](https://docs.cancergenomicscloud.org/reference/api-status-codes)

If the request executed properly, there will be no response body for this request.